Subject: Re: linux-next: build failure after merge of the watchdog tree

From: Wim Van Sebroeck <[email-masked]>
Date: Wed, 2 Nov 2011 17:43:39 +0100

Hi Marc, Stephen,

> On Tue, Nov 01, 2011 at 04:37:48PM +1100, Stephen Rothwell wrote:
> 
> > drivers/watchdog/wm831x_wdt.c: In function 'wm831x_wdt_start':
> > drivers/watchdog/wm831x_wdt.c:56:40: error: 'struct watchdog_device' has no member named 'priv'
> > drivers/watchdog/wm831x_wdt.c: In function 'wm831x_wdt_stop':
> 
> Wim, it looks from this error like you've applied the original version of
> this I sent on 20th July against the then current API, not the updated
> version I sent on 25th July (which was resent on 4th October) after you
> revised the API.

Yes indeed. I know I compile tested your second patch, but with all the changing of systems I screwed up and indeed used the first patch :-(.

Anyway, I corrected it.

Thanks,
Wim.